                <nav class="navbar navbar-default navbar-inverse bg-primary navbar-fixed-top" role="navigation">
                    <div class="container-fluid">
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                            <a class="navbar-brand" href="#">
                                <img alt="Beautiful Canoe logo" src="images/branding/bc-initials.png">
                            </a>
                        </div>
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                            <ul class="nav navbar-nav">
                                {% assign navigation_pages = site.html_pages | sort: 'navigation_weight' %}
                                {% for p in navigation_pages %}
                                    {% if p.navigation_weight %}
                                        {% if p.headline == page.headline %}
                                        <li class="dropdown active">
                                             <a href="{{ p.slug | prepend:site.baseurl  }}#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                {{ p.headline }}&nbsp;<span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu">
                                                {% for item in page.nav %}
                                                <li><a href="{{ item.url }}">{{ item.title }}</a></li>
                                                {% endfor %}
                                              </ul>
                                         </li>
                                        {% else %}
                                        <li><a href="{{ p.slug | prepend:site.baseurl }}" {% if p.url == page.url %}class="active"{% endif %}>{{ p.headline }}</a></li>
                                        {% endif %}
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </div>  <!-- navbar-collapse -->
                    </div>  <!-- container-fluid -->
                </nav>
